#include "version.sh"

in vec2 umf_df;
in float point_Idx;

uniform vec4 color;
uniform vec4 passcolor;
uniform float passIdx;

out lowp vec4 fragColor;

void main()
{
    fragColor = color;
    if(point_Idx < passIdx) {
        fragColor = passcolor;
    }
    fragColor.a *= clamp(umf_df.x - abs(umf_df.y), 0.0, 1.0);
}
